Issue 62234 - Ease "toggle capitalisation" for users "Caps Lock" accidents
Summary: Ease "toggle capitalisation" for users "Caps Lock" accidents
Status: ACCEPTED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: current
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
: 89196 (view as issue list)
Depends on:
Blocks:
 
Reported: 2006-02-18 04:33 UTC by encompass
Modified: 2013-08-07 15:31 UTC (History)
4 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
additional check box for Calc, Draw and Impress (28.71 KB, image/png)
2008-03-03 16:16 UTC, kyoshida
no flags Details
additional check box for Writer (43.34 KB, image/png)
2008-03-03 16:16 UTC, kyoshida
no flags Details
patch set against offapi officecfg sc sw svx vcl (11.90 KB, application/x-compressed)
2008-08-01 15:03 UTC, kyoshida
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description encompass 2006-02-18 04:33:56 UTC
yOU KNOW HOW IT IS...  yOU WANT TO TYPE SOMETHING... AND REALIZE THAT YOU JUST
TYPED A WHOLE EMAIL AND IT didn't fix itself... I noticed the feature in other
wordprocessers... Do you think it would be a good idea?
tHANKS,
jASON
Comment 1 michael.ruess 2006-02-18 06:57:34 UTC
MRU->SBA: do we already have this in our Tools.Atocorrect dialog?
Comment 2 stefan.baltzer 2006-03-02 16:17:33 UTC
SBA: At times there is no feature to "toggle the capitalisation of a selection".
The Workaround is to 
 - select the respective text
 - (via context menu / right mouse button) select Case/Charactes -> Lowercase
OR
 - (via menu) Format - Change Case ->  Lowercase

-> Now all text is in lower case so that only the desired capital letters must
be corrected manually. I think that this is a reasonable request because this
kind of error is very common.
Reassigned to requirements.
Comment 3 kyoshida 2008-02-29 04:47:36 UTC
I've just implemented this in ooo-build.  It works in all four applications not
just in Writer.
Comment 4 kyoshida 2008-02-29 16:16:02 UTC
assigning this to myself.
Comment 5 kyoshida 2008-03-03 16:06:35 UTC
adding fl for usability.
Comment 6 kyoshida 2008-03-03 16:16:10 UTC
Created attachment 51867 [details]
additional check box for Calc, Draw and Impress
Comment 7 kyoshida 2008-03-03 16:16:42 UTC
Created attachment 51868 [details]
additional check box for Writer
Comment 8 kyoshida 2008-05-09 05:59:24 UTC
*** Issue 89196 has been marked as a duplicate of this issue. ***
Comment 9 kyoshida 2008-07-02 14:40:20 UTC
started.
Comment 10 kyoshida 2008-08-01 15:03:33 UTC
Created attachment 55496 [details]
patch set against offapi officecfg sc sw svx vcl
Comment 11 kyoshida 2008-08-01 15:06:57 UTC
Currently, this functionality works on UNIX and Windows.  To get this to work on
Mac, someone has to implement the platform specific part to query the state of
the locks key (caps, num, and scroll) and to fake-press these keys.
Comment 12 m_gr_01 2009-01-11 11:31:52 UTC
There is a small problem with its functionality, at least in Linux. 
It is well stated in Issue # 96915 , 
which should not have been closed.

It is about changing typing without changing caps light.

I comment there a possible solution to it.

Linux openSuSE 11.1, kernel 2.6.27.7-9, xorg 1.5.2 (rel 2008-10-10) 
on a Toshiba A200 notebook, Intel P4 core 2 duo, 2GHz, 2GB mem.
Comment 13 kyoshida 2009-01-11 15:29:33 UTC
@m_gr_01: Yes, this is a known issue on Linux because X.org has slightly changed
its implementation around LED light handling.

https://bugs.freedesktop.org/show_bug.cgi?id=16145

But Windows is not affected.

I'm awaiting the next X.org version to be released to see if it fixes the issue
there.

Java test code does not really help sine OOo is written in C/C++, and this is
strictly an issue with X.org.
Comment 14 Rob Weir 2013-07-30 02:47:34 UTC
Reset assignee on issues not touched by assignee in more than 1000 days.